.promo-banners {
  margin: 25px auto;
  padding: 0 16px;
}

.banner-card {
  position: relative;
  border-radius: 16px;
  overflow: hidden;
  height: 220px;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
}

.banner-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  opacity: 0.35;
}

.banner-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.07);
}

.banner-content {
  position: relative;
  z-index: 2;
  color: #fff;
  padding: 20px;
}

.banner-content h2 {
  font-size: 26px;
  font-weight: 700;
  margin: 0 0 10px;
  font-weight: 800;
  color: #033d1bff;
  /* Green */
  /* text-shadow: 2px 2px 6px rgba(0, 0, 0, 1);  */
}

.banner-content p {
  font-size: 20px;
  margin: 0 0 15px;
  font-weight: 400;
  color: #000000ff;
  /* text-shadow: 1px 1px 4px rgba(0,0,0,0.5);  subtitle ko bhi readable */
}

.btn-banner {
  background: #00c853;
  color: #fff;
  padding: 8px 18px;
  border-radius: 6px;
  font-size: 14px;
  text-decoration: none;
  transition: background 0.3s;
}

.btn-banner:hover {
  background: #009e3c;
}

.swiper-pagination-bullet {
  background: #00c853;
  opacity: 0.5;
}

.swiper-pagination-bullet-active {
  opacity: 1;
}